> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/instance/stopipforward.md).

# StopIpForward

## 1. API Description

This API (StopIpForward) is used to disable IP forwarding for an elastic compute instance. After it is disabled, the instance no longer forwards network traffic that is not destined for itself.

{% hint style="info" %}
**Notes**

* The instance status must be running (`RUNNING`) or stopped (`STOPPED`) before this operation can be performed.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                        |
| -------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| instanceId     | Yes      | String | <p>ID of the instance to be operated on.</p><p>It can be obtained by calling <a href="/api-reference/zec/instance/describeinstances.md">DescribeInstances</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Disable IP forwarding of the instance**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: StopIpForward
<Common Request Params>

Request:
{
  "instanceId": "instanceId1"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                               | Description                                                 |
| ---------------- | ---------------------------------------- | ----------------------------------------------------------- |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND            | Instance not found.                                         |
| 400              | UNSUPPORTED\_OPERATION\_INSTANCE\_STATUS | Operations on instances in current state are not supported. |
